Cant start sabnzbd anymore

Support for the Debian/Ubuntu package, created by JCFP.

Cant start sabnzbd anymore

Postby clueo8 » February 15th, 2017, 8:36 pm

I think something is messed up with my python, I can no longer start sab:

* Starting SABnzbd+ binary newsgrabber Traceback (most recent call last):
File "/usr/bin/sabnzbdplus", line 55, in <module>
import cherrypy
File "/usr/share/sabnzbdplus/cherrypy/__init__.py", line 60, in <module>
import pkg_resources
File "/usr/local/lib/python2.7/dist-packages/pkg_resources/__init__.py", line 72, in <module>
import packaging.requirements
File "/usr/local/lib/python2.7/dist-packages/packaging/requirements.py", line 59, in <module>
MARKER_EXPR = originalTextFor(MARKER_EXPR())("marker")
TypeError: __call__() takes exactly 2 arguments (1 given)
[fail]

I tried reinstalling both sab and python2.7, but nothing works. Also tried removing/reinstalling cherrypy with both pip and apt but does not resolve the issue. I don't want to remove python all together because it would remove over half of my OS! I'm on Ubuntu 14.04
clueo8
Newbie
Newbie
 
Posts: 2
Joined: February 15th, 2017, 8:33 pm

Re: Cant start sabnzbd anymore

Postby safihre » February 16th, 2017, 1:22 am

You should try and reinstall python disttools and/or setuptools and/or packaging (it's a pip module). Either using pip or apt.
User avatar
safihre
Developer
Developer
 
Posts: 1404
Joined: April 30th, 2015, 7:35 am
Location: Switzerland

Re: Cant start sabnzbd anymore

Postby clueo8 » February 16th, 2017, 6:50 am

Thanks. I tried reinstalling but it did not work. I got it to work by removing packaging all together with:
Code: Select all
sudo pip uninstall packaging
Then sab started right up. I didn't even have to reinstall packaging, which I find odd.
clueo8
Newbie
Newbie
 
Posts: 2
Joined: February 15th, 2017, 8:33 pm


Return to Debian/Ubuntu Package